<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Book sort</title>
</head>
<body>

<!--   У вас есть массив книг books. Ваша задача создать из него два массива - goodBooks и badBooks. В первый входят все книни, автор которых - не Донцова. Во второй - книги, автор которых - Донуцова. Потому что:
  http://cdn01.ru/files/users/images/15/5c/155c1d353f38ac999440fee98d912f45.jpg
-->

<script>
	let books = [ 
	{
		author: "Скотт Бэккер",
		book: "Князь пустоты"
	},
	{
		author: "Донцова",
		book: "Старуха Кристи – отдыхает!"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Тьма, что приходит прежде"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Воин-пророк"
	},
	{
		author: "Скотт Бэккер",
		book: "Тысячекратная мысль"
	},
	{
		author: "Донцова",
		book: "Диета для трех поросят"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Аспект-император"
	},
	{
		author: "Скотт Бэккер",
		book: "Око Судии"
	},
	{
		author: "Скотт Бэккер",
		book: "Воин Доброй удачи"
	},
	{
		author: "Донцова",
		book: "Идеальное тело Пятачка"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Великая Ордалия"
	},
	{
		author: "Скотт Бэккер",
		book: "Нечестивый Консульт"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Не-Бог"
	}, 
	{
		author: "Скотт Бэккер",
		book: "Истории о Злодеяниях"
	},
	{
		author: "Донцова",
		book: "Идеальное тело Пятачка"
	},
	{
		author: "Скотт Бэккер",
		book: "Ложное солнце"
	},
	{
		author: "Донцова",
		book: "Дед Снегур и Морозочка"
	},
	{
		author: "Скотт Бэккер",
		book: "Четыре Откровения Киниал’джина"
	},
	{
		author: "Донцова",
		book: "Инь, янь и всякая дрянь"
	},
	{
		author: "Скотт Бэккер",
		book: "Нож, что всем по руке"
	}
	];
	const goodBooks = [];
	const badBooks = [];
	books.forEach(function (book){
		const bookValues = Object.values(book); 
		const bookStr = bookValues.join(" "); 
		if (bookStr.includes("Донцова")) { 
			badBooks.push(book);
		}
		else {
			goodBooks.push(book);
		}
	});


	console.log(goodBooks);
	console.log(badBooks);

</script>
</body>
</html>